#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 quic
version:              0.0.1
visibility:           public
id:                   quic-0.0.1-Hg1ZhzRcQRE6DuQTAMLS5T
key:                  quic-0.0.1-Hg1ZhzRcQRE6DuQTAMLS5T
license:              BSD-3-Clause
maintainer:           kazu@iij.ad.jp
author:               Kazu Yamamoto
synopsis:             QUIC
description:
    Library for QUIC: A UDP-Based Multiplexed and Secure Transport

category:             Web
abi:                  7ad760164696108450eb3e7d9016025f
exposed:              True
exposed-modules:
    Network.QUIC Network.QUIC.Client Network.QUIC.Internal
    Network.QUIC.Server

hidden-modules:
    Network.QUIC.Client.Reader Network.QUIC.Client.Run
    Network.QUIC.Closer Network.QUIC.Common Network.QUIC.Config
    Network.QUIC.Connection Network.QUIC.Connection.Crypto
    Network.QUIC.Connection.Migration Network.QUIC.Connection.Misc
    Network.QUIC.Connection.PacketNumber Network.QUIC.Connection.Queue
    Network.QUIC.Connection.Role Network.QUIC.Connection.State
    Network.QUIC.Connection.Stream Network.QUIC.Connection.StreamTable
    Network.QUIC.Connection.Timeout Network.QUIC.Connection.Types
    Network.QUIC.Connector Network.QUIC.Crypto
    Network.QUIC.CryptoFusion Network.QUIC.Exception
    Network.QUIC.Handshake Network.QUIC.IO Network.QUIC.Imports
    Network.QUIC.Info Network.QUIC.Logger Network.QUIC.Packet
    Network.QUIC.Packet.Decode Network.QUIC.Packet.Decrypt
    Network.QUIC.Packet.Encode Network.QUIC.Packet.Frame
    Network.QUIC.Packet.Header Network.QUIC.Packet.Number
    Network.QUIC.Packet.Token Network.QUIC.Parameters
    Network.QUIC.QLogger Network.QUIC.Qlog Network.QUIC.Receiver
    Network.QUIC.Recovery Network.QUIC.Recovery.Constants
    Network.QUIC.Recovery.Detect Network.QUIC.Recovery.Interface
    Network.QUIC.Recovery.LossRecovery Network.QUIC.Recovery.Metrics
    Network.QUIC.Recovery.Misc Network.QUIC.Recovery.PeerPacketNumbers
    Network.QUIC.Recovery.Persistent Network.QUIC.Recovery.Release
    Network.QUIC.Recovery.Timer Network.QUIC.Recovery.Types
    Network.QUIC.Recovery.Utils Network.QUIC.Sender
    Network.QUIC.Server.Reader Network.QUIC.Server.Run
    Network.QUIC.Socket Network.QUIC.Stream Network.QUIC.Stream.Frag
    Network.QUIC.Stream.Misc Network.QUIC.Stream.Queue
    Network.QUIC.Stream.Reass Network.QUIC.Stream.Skew
    Network.QUIC.Stream.Table Network.QUIC.Stream.Types
    Network.QUIC.TLS Network.QUIC.Types Network.QUIC.Types.Ack
    Network.QUIC.Types.CID Network.QUIC.Types.Constants
    Network.QUIC.Types.Error Network.QUIC.Types.Exception
    Network.QUIC.Types.Frame Network.QUIC.Types.Integer
    Network.QUIC.Types.Packet Network.QUIC.Types.Queue
    Network.QUIC.Types.Resumption Network.QUIC.Types.Time
    Network.QUIC.Utils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/quic-0.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/quic-0.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-quic
hs-libraries:         HSquic-0.0.1-Hg1ZhzRcQRE6DuQTAMLS5T
depends:
    array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-FuKpgH3hiHmGF8OBxDTrdW
    bytestring-0.10.12.1 containers-0.6.4.1
    crypto-token-0.0.1-6liFPp6qzt6KXkmj56Sj5
    cryptonite-0.30-ATVl7QapHZS9RRZ445MyBy
    data-default-class-0.1.2.0-IxhEAzgy8931aXcEiJcyZO
    fast-logger-3.1.1-DBV229W54ll80Sauu5NoPm filepath-1.4.2.1
    iproute-1.7.12-3ZGWzjSnVdr1ln2PHEVbMw
    memory-0.17.0-3DbDQrj54CLAPAnWUJBJ4b
    network-3.1.2.7-BgmWCPLmmVsKjis2BFXpFm
    network-byte-order-0.1.6-AvGyIEUShCe22lio5vPj8U
    psqueues-0.2.7.3-88jNuTuMJnQBYGZPqwNxp2
    random-1.2.1.1-KJ0FCJNKSsMBe9MmB5vC8X stm-2.5.0.0
    tls-1.6.0-C611NGz8lvQFm12i6q8WBp
    unix-time-0.4.8-Bw3OSpkxvUK2KF0teVSn3e
    unliftio-0.2.22.0-CgcRF7PSlaf7X9QyeaQDu5
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    x509-1.7.7-8lspvYsrbN7qz2j8QSVXN

haddock-interfaces:   /usr/share/doc/haskell-quic/html/quic.haddock
haddock-html:         /usr/share/doc/haskell-quic/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

